diff --git a/target/linux/apm821xx/base-files/etc/diag.sh b/target/linux/apm821xx/base-files/etc/diag.sh
deleted file mode 100755
index 96d42a4..0000000
--- a/target/linux/apm821xx/base-files/etc/diag.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-
-. /lib/functions.sh
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}
diff --git a/target/linux/ath79/base-files/etc/diag.sh b/target/linux/ath79/base-files/etc/diag.sh
deleted file mode 100755
index 3ea7ac1..0000000
--- a/target/linux/ath79/base-files/etc/diag.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}
diff --git a/target/linux/ipq40xx/base-files/etc/diag.sh b/target/linux/ipq40xx/base-files/etc/diag.sh
deleted file mode 100755
index 3ea7ac1..0000000
--- a/target/linux/ipq40xx/base-files/etc/diag.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}
diff --git a/target/linux/ipq806x/base-files/etc/diag.sh b/target/linux/ipq806x/base-files/etc/diag.sh
deleted file mode 100755
index 9e6b491..0000000
--- a/target/linux/ipq806x/base-files/etc/diag.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2016 Henryk Heisig hyniu@o2.pl
-
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}
diff --git a/target/linux/lantiq/base-files/etc/diag.sh b/target/linux/lantiq/base-files/etc/diag.sh
deleted file mode 100644
index 06cf7e2..0000000
--- a/target/linux/lantiq/base-files/etc/diag.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2010-2015 OpenWrt.org
-
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
deleted file mode 100644
index 3ea7ac1..0000000
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-. /lib/functions/leds.sh
-
-boot="$(get_dt_led boot)"
-failsafe="$(get_dt_led failsafe)"
-running="$(get_dt_led running)"
-upgrade="$(get_dt_led upgrade)"
-
-set_state() {
-	status_led="$boot"
-
-	case "$1" in
-	preinit)
-		status_led_blink_preinit
-		;;
-	failsafe)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$failsafe"
-		status_led_blink_failsafe
-		;;
-	preinit_regular)
-		status_led_blink_preinit_regular
-		;;
-	upgrade)
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_off
-		}
-		status_led="$upgrade"
-		status_led_blink_preinit_regular
-		;;
-	done)
-		status_led_off
-		[ -n "$running" ] && {
-			status_led="$running"
-			status_led_on
-		}
-		;;
-	esac
-}